Cyberduck Mountain Duck CLI

#9919 closed defect (fixed)

Resuming a Cryptomator upload starts uploading without encryption

Reported by: NTrudgian Owned by: dkocher
Priority: normal Milestone: 6.0
Component: cryptomator Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

An upload to a Google Drive Cryptomator vault started failing (got dialogs saying the locations in the Google Drive couldn't be found, then rate limit exceeded). I cancelled, and the transfers window said the upload was incomplete (but I think the resume button was greyed out?). I quit Cyberduck, disconnected from the VPN I mistakenly left open before I started the upload, and re-opened. In the transfers window, this upload was now said to be complete. Double clicking on the transfer, the upload started over again but it skipped the usual lengthy checksum calculation and I looked on the Google Drive site to see the files were being uploaded without encryption.

POST /o/oauth2/token HTTP/1.1
Accept-Encoding: gzip
User-Agent: Google-HTTP-Java-Client/1.22.0-SNAPSHOT (gzip)
Content-Length: 175
Content-Type: application/x-www-form-urlencoded; charset=UTF-8
Host: accounts.google.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
X-Content-Type-Options: nosniff
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: Mon, 01 Jan 1990 00:00:00 GMT
Date: Sat, 15 Apr 2017 08:20:52 GMT
Content-Disposition: attachment; filename="json.txt"; filename*=UTF-8''json.txt
Content-Encoding: gzip
Server: ESF
X-XSS-Protection: 1; mode=block
X-Frame-Options: SAMEORIGIN
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
HEAD /drive/v3/files HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: Mon, 01 Jan 1990 00:00:00 GMT
Date: Sat, 15 Apr 2017 08:20:52 GMT
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
GET /drive/v3/files?fields=files(createdTime,explicitlyTrashed,id,md5Checksum,mimeType,modifiedTime,name,size,webViewLink),nextPageToken&pageSize=1000&q='root'%20in%20parents HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Expires: Sat, 15 Apr 2017 08:20:53 GMT
Date: Sat, 15 Apr 2017 08:20:53 GMT
Cache-Control: private, max-age=0, must-revalidate, no-transform
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
GET /drive/v3/files?fields=files(createdTime,explicitlyTrashed,id,md5Checksum,mimeType,modifiedTime,name,size,webViewLink),nextPageToken&pageSize=1000&q='0B4rUpKxdYfdoT2hnNy0tc1h2U2M'%20in%20parents HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Expires: Sat, 15 Apr 2017 08:21:04 GMT
Date: Sat, 15 Apr 2017 08:21:04 GMT
Cache-Control: private, max-age=0, must-revalidate, no-transform
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
GET /drive/v3/files?fields=files(createdTime,explicitlyTrashed,id,md5Checksum,mimeType,modifiedTime,name,size,webViewLink),nextPageToken&pageSize=1000&q='0B4rUpKxdYfdoT2hnNy0tc1h2U2M'%20in%20parents HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Expires: Sat, 15 Apr 2017 08:21:04 GMT
Date: Sat, 15 Apr 2017 08:21:04 GMT
Cache-Control: private, max-age=0, must-revalidate, no-transform
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
GET /download/drive/v3/files/0B4rUpKxdYfdoRi1zdExJQnI5TW8?alt=media HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
X-GUploader-UploadID: AEnB2UqZ191wSKko3vTIw_U3hCrBnMhzL6goqcEPvthjMgl7-dNDUIorynyTMJx8OGnX9FvTi-VT9vIvvt-ZogE_5YJZ4AxnoiiBZQQva5HrVzhHR2BoulA
Content-Type: application/octet-stream
Content-Disposition: attachment
Vary: Origin
Vary: X-Origin
Expires: Sat, 15 Apr 2017 08:21:04 GMT
Date: Sat, 15 Apr 2017 08:21:04 GMT
Cache-Control: private, max-age=0, must-revalidate
Content-Length: 327
X-Goog-Hash: crc32c=QWTzUw==
Server: UploadServer
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
GET /drive/v3/files?fields=files(createdTime,explicitlyTrashed,id,md5Checksum,mimeType,modifiedTime,name,size,webViewLink),nextPageToken&pageSize=1000&q='0B4rUpKxdYfdoT2hnNy0tc1h2U2M'%20in%20parents HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Expires: Sat, 15 Apr 2017 08:21:05 GMT
Date: Sat, 15 Apr 2017 08:21:05 GMT
Cache-Control: private, max-age=0, must-revalidate, no-transform
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
GET /drive/v3/files?fields=files(createdTime,explicitlyTrashed,id,md5Checksum,mimeType,modifiedTime,name,size,webViewLink),nextPageToken&pageSize=1000&q='0B4rUpKxdYfdoakY3bWZoZEJ6Nk0'%20in%20parents HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Expires: Sat, 15 Apr 2017 08:21:05 GMT
Date: Sat, 15 Apr 2017 08:21:05 GMT
Cache-Control: private, max-age=0, must-revalidate, no-transform
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
GET /drive/v3/files?fields=files(createdTime,explicitlyTrashed,id,md5Checksum,mimeType,modifiedTime,name,size,webViewLink),nextPageToken&pageSize=1000&q='0B4rUpKxdYfdoN1NUYkxmb1NxLXM'%20in%20parents HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Expires: Sat, 15 Apr 2017 08:21:05 GMT
Date: Sat, 15 Apr 2017 08:21:05 GMT
Cache-Control: private, max-age=0, must-revalidate, no-transform
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked
GET /drive/v3/files?fields=files(createdTime,explicitlyTrashed,id,md5Checksum,mimeType,modifiedTime,name,size,webViewLink),nextPageToken&pageSize=1000&q='0B4rUpKxdYfdoN25YcW1oTW9lOTA'%20in%20parents HTTP/1.1
Accept-Encoding: gzip
Authorization: ********
User-Agent: Cyberduck/6.0.0.23890 (Windows 10/10.0) (x86) Google-API-Java-Client
Host: www.googleapis.com
Connection: Keep-Alive
HTTP/1.1 200 OK
Expires: Sat, 15 Apr 2017 08:21:06 GMT
Date: Sat, 15 Apr 2017 08:21:06 GMT
Cache-Control: private, max-age=0, must-revalidate, no-transform
Vary: Origin
Vary: X-Origin
Content-Type: application/json; charset=UTF-8
Content-Encoding: gzip
X-Content-Type-Options: nosniff
X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
Server: GSE
Alt-Svc: quic=":443"; ma=2592000; v="37,36,35"
Transfer-Encoding: chunked

Change History (2)

comment:1 Changed on Apr 15, 2017 at 12:38:50 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Apr 15, 2017 at 9:56:40 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r38654.

Note: See TracTickets for help on using tickets.
swiss made software